import click
import mongocrawler

@click.group()
def cli():
    pass

@cli.command()
def createdb():
    mongocrawler.createdb()

@cli.command()
@click.argument("link")
def parseurl(link):
    mongocrawler.parseurl(link)

@cli.command()
@click.argument("link")
def externaldomains(link):
    mongocrawler.externaldomains(link)

@cli.command()
@click.argument("start_link")
def classify(start_link):
    mongocrawler.classify(start_link)

@cli.command()
@click.argument("hostname")
def visit(hostname):
    mongocrawler.visit(hostname)

@cli.command()
def summary():
    mongocrawler.crawl_summary()

@cli.command()
def sampledomains():
    mongocrawler.sample_domains()

if __name__ == "__main__":
    cli()
